Finding Objects covering at least CPU set

## Functions

static inline hwloc_obj_t | hwloc_get_child_covering_cpuset (hwloc_topology_t topology , hwloc_const_cpuset_t set, hwloc_obj_t parent)
static inline hwloc_obj_t | hwloc_get_obj_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
static inline hwloc_obj_t | hwloc_get_next_obj_covering_cpuset_by_depth (hwloc_topology_t topology, hwloc_const_cpuset_t set, unsigned depth, hwloc_obj_t prev)
static inline hwloc_obj_t | hwloc_get_next_obj_covering_cpuset_by_type (hwloc_topology_t topology, hwloc_const_cpuset_t set, hwloc_obj_type_t type, hwloc_obj_t prev)

## Detailed Description

## Function Documentation

static inline hwloc_obj_t hwloc_get_child_covering_cpuset | ( | hwloc_topology_t topology | ,
|  | hwloc_const_cpuset_t | set,
|  | hwloc_obj_t | parent
| ) |  |

static

Get the child covering at least CPU set `set`.

Returns
  `NULL` if no child matches or if `set` is empty.

Note
  This function cannot work if parent does not have a CPU set.

static inline hwloc_obj_t hwloc_get_next_obj_covering_cpuset_by_depth | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set,
|  | unsigned | depth,
|  | hwloc_obj_t | prev
| ) |  |

static

Iterate through same-depth objects covering at least CPU set `set`.

If object `prev` is `NULL`, return the first object at depth `depth` covering at least part of CPU set `set`. The next invokation should pass the previous return value in `prev` so as to obtain the next object covering at least another part of `set`.

Note
  This function cannot work if objects at the given depth do not have CPU sets or if the topology is made of different machines.

static inline hwloc_obj_t hwloc_get_next_obj_covering_cpuset_by_type | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set,
|  | hwloc_obj_type_t | type,
|  | hwloc_obj_t | prev
| ) |  |

static

Iterate through same-type objects covering at least CPU set `set`.

If object `prev` is `NULL`, return the first object of type `type` covering at least part of CPU set `set`. The next invokation should pass the previous return value in `prev` so as to obtain the next object of type `type` covering at least another part of `set`.

If there are no or multiple depths for type `type`, `NULL` is returned. The caller may fallback to hwloc_get_next_obj_covering_cpuset_by_depth() for each depth.

Note
  This function cannot work if objects of the given type do not have CPU sets or if the topology is made of different machines.

static inline hwloc_obj_t hwloc_get_obj_covering_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set
| ) |  |

static

Get the lowest object covering at least CPU set `set`.

Returns
  `NULL` if no object matches or if `set` is empty.

Note
  This function cannot work if the root object does not have a CPU set, e.g. if the topology is made of different machines.